summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/DirectFB/DirectFB.SlackBuild12
-rw-r--r--libraries/DirectFB/DirectFB.info6
2 files changed, 13 insertions, 5 deletions
diff --git a/libraries/DirectFB/DirectFB.SlackBuild b/libraries/DirectFB/DirectFB.SlackBuild
index 9076f69a99..0a75b6282f 100644
--- a/libraries/DirectFB/DirectFB.SlackBuild
+++ b/libraries/DirectFB/DirectFB.SlackBuild
@@ -34,10 +34,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -59,6 +62,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -73,8 +77,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -92,4 +98,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/DirectFB/DirectFB.info b/libraries/DirectFB/DirectFB.info
index d709e862c2..4a4472284a 100644
--- a/libraries/DirectFB/DirectFB.info
+++ b/libraries/DirectFB/DirectFB.info
@@ -1,8 +1,10 @@
PRGNAM="DirectFB"
VERSION="1.0.1"
HOMEPAGE="http://www.directfb.org"
-DOWNLOAD="http://www.directfb.org/downloads/Core/DirectFB-1.0.1.tar.gz"
+DOWNLOAD="http://www.directfb.org/downloads/Core/DirectFB-1.0/DirectFB-1.0.1.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="539e4b304d08bb0a2080c7b3f321d96f"
+MD5SUM_x86_64=""
MAINTAINER="Antonio Hernández Blas"
EMAIL="hba.nihilismus@gmail.org"
-APPROVED="David Somero"
+APPROVED="dsomero"